Subject: RE: [mobile-ip] MIPv6: Ping-pong between ARs ?

From: BELOEIL Luc FTRD/DMI/CAE <[email-masked]>
Date: Thu, 31 May 2001 10:48:33 +0200

Hi all, 

I agree that the draft is not clear enough about that point.

From my point of view :
As the HAa acts as a standard-HA wih the MN, when the MN discovers that it
came back on the same link as HAa, the MN must send a Bu to HAa with a
lifetime set to the value 0.

I reminds you that such behaviours are cleary described in
draft-kassi-mobileip-dmi-00.txt, where the concept of temporary HA is
extended.

> Vijay Devarapalli wrote:
> 
> 
> hi Thierry,
> 
> the MN cannot use 'CoAa' for sending any packet as long as 
> HAa is defending 'CoAa'. the MN cannot sent the second BU till
> it deregisters 'CoAa' when it comes back to La from Lb.
> 
> whether the MN does this deregistration or not, HAa should take 
> care not to create a neighbor cache entry for CoAa when it has a 
> binding cache entry for CoAa. 
> 
> vijay
> 
> Thierry Ernst wrote:
> > 
> > Hi all,
> > 
> > I have a question regarding section "10.9 Establishing 
> forwarding from a
> > previous coa" in the MIPv6 spec.
> > 
> > MN has a COAa on foreing link La
> > Then, MN visits foreign link Lb and has COAb
> > The specs says that MN may send a BU (COAa -> COAb) to a 
> HAa on foreign
> > link La
> > Then, MN goes back to link La, and sends a BU (COAb -> 
> COAa) to a HAb on
> > foreign link Lb
> > 
> > What happens if the entry in HAa has not yet expired ?  Any 
> packet sent
> > to COAa or COAb enters a routing loop, right ?  Or am I missing
> > something ?
> > 
> > If this is right:
> > - what is the experience gained from the implementations ?
> > - Does some implementations establish forwarding from the previous
> > care-of address ?
> > - How is this routing loop fixed ?
> > - Is section 10.9 going to be amended to address this issue ?
> > 
> > Thanks,
> > Thierry.
> > 
> > --
> > * mailto:[email-masked]  Tel +33 (0) 4 76 61 52 69
> > * INRIA Rhone-Alpes Projet PLANETE       (fax 52 52)
> > * and MOTOROLA Labs Paris
> > * http://www.inrialpes.fr/planete/people/ernst/Welcome.html
>